use proto::GachaModelBin;

#[derive(Default)]
pub struct GachaModel {
    pub gacha_bin: GachaModelBin,
}

impl GachaModel {
    pub fn from_bin(gacha_bin: GachaModelBin) -> Self {
        Self {
            gacha_bin
        }
    }

    pub fn to_bin(&self) -> GachaModelBin {
        self.gacha_bin.clone()
    }
}